---
title: "The FediHams Digital Voice Network"
slug:  "fedihams"
date: 2022-10-12T08:42:59+02:00
draft: false
showthedate: false
url: /fedihams/
---

This digital voice network is intended as a place to hang out for all the Fediverse hams. For more information about ham radio related instances in the fediverse, please see fediverse.radio. This network is of course open to everyone else, too!

# What is this?
This project combines different digital voice technologies with the aim of creating a virtual space for voice communication between like-minded people. In the end, it should not matter which technologies individual participants use. It is also intended to provide access to those who do not own a special radio and can connect with their smartphone or computer instead.

The FediHams network is neither topic nor location based. All can jump in, have a chat, make this their home.

# Diagram
The following diagram shows how everything is connected: 

![image](/img/diagram.jpg)

# What you can do with this

You can
  * meet nice people you might already know from the Fediverse.
  * have a cross-mode and/or cross-network conversation with other people, e.g. you can talk with your DMR HT through the Brandmeister network with three "non-DMR" friends: One has a Yaesu radio, one is on the TGIF DMR network and the other has no digital radio at all but uses Peanut or Echolink.
  * have a daily/weekly/monthly net here with your friends/club (please see below).
  * Coordinate or request HF skeds

# Rules

  * A valid amateur radio license is needed to participate.
  * Be a decent person or try to behave like one.
  * The general amateur radio rules apply: No politics, religion etc. - you know the drill.
  * Please wait at least 5 seconds between key-ups because there is some delay due to the bridging between technologies. This also helps break stations to get through.
  * Please don't bridge this network to anywhere else before asking both sides. I'd be happy to e.g. bridge this network via AllStarLink to a real RF repeater or into the D-Star network - but please talk to all involved parties beforehand.

Not a rule but a request: Please make your QSOs in english if possible. It is absolutely not a must, but it helps that other people are not excluded.

# How to connect
At the current time it consists of the following reflectors/TGs/nodes:

  * [YSF Reflector "DE Fediverse" 73737](https://dashboard.fedihams.net/)
  * [DMR Brandmeister TG 2630002](https://brandmeister.network/?page=lh&DestinationID=2630002)
  * [DMR TGIF Network TG 7337](https://tgif.network/tgprofile.php?id=7337)
  * Echolink Node DK1MI-L 963110
  * [AllStarLink Node 57881](http://stats.allstarlink.org/stats/57881)
  * [Peanut Room YSF-FEDI](http://peanut.pa7lim.nl)
  * [Hamshack Hotline #94047](https://hamshackhotline.com) (use *99 for PTT, # to release PTT)

# Help!
If you need help connecting to FediHams, have suggestions or questions, please [contact me](/about/).

# Nets

All times are in UTC. All are welcome!

| Net      | Day | Begin  | End | Type | Language  | Details |
| ----------- | ----------- | ----------- | ----------- | ----------- |----------- | ----------- |
| FediHams Net   | Sunday | 2200 | open  | informal |  English | No net control, just chatting |
| Chaosrunde   | Wednesday | 1930 | 2200  | formal |  German | The Chaosrunde is the weekly open radio round of the Chaoswelle, OV D23 & friends. More Info: [www.chaosrunde.de](https://www.chaosrunde.de/) |
| Draussenfunker   | First Friday of the month | 1800 | open  | formal |  German | [www.draussenfunker.de](https://www.draussenfunker.de/) |

# Credits & Thanks
Thank you

  * [DO1MJ](https://do1mj.de/) for running and providing the AMBEserver needed for the Peanut bridge
  * [PA7LIM](http://www.pa7lim.nl/) for Peanut in general, for all the help and for running the Peanut bridge

