---
title: "Amateur Radio"
date: 2018-10-26T18:08:59+02:00
draft: false
showthedate: false
---


### Software

  * Logging Software
    * [YFKlog](http://fkurz.net/ham/yfklog.html) - curses based CLI ham radio logbook
    * [Fast Log Entry (FLE)](https://www.df3cb.com/fle/) - plain text windows logging tool
    * [CQRLOG](https://www.cqrlog.com) - ham radio logbook for Linux
    * [Log4OM](http://www.log4om.com/) - ham radio logbook for Windows
    * [Cloudlog](https://www.magicbug.co.uk/cloudlog/) - Web based amateur radio logging application built using PHP & MySQL supports general station logging tasks from HF to Microwave with supporting applications to support CAT control.

  * Weblogs
    * [Club Log](https://clublog.org/)
    * [HRDLOG](http://www.hrdlog.net/)

### Modes

  * FT8
    * [FT8 Operating Guide](https://www.g4ifb.com/FT8_Hinson_tips_for_HF_DXers.pdf) - Excellent FT8 manual
  * CW
    * Learning CW
      * [Learn CW Online](https://lcwo.net)
      * [CWops Morse Code Trainer](https://morsecode.scphillips.com/trainer.html)
      * [CWops Academy](https://cwops.org/cw-academy-2/)
      * [A SW Keyer for remote operations](https://iw7dmh.jimdofree.com/utilities-for-remote-operations/sw-keyer-for-remote-operations/) - RS232 interface for morse keys
      * [Paper on Farnsforth Technique](http://www.arrl.org/files/file/Technology/x9004008.pdf)
      * [Road to CW](http://www.k4co.org/MiscDocuments/Road_to_CW_de_W4ALF.pdf)
      * [CW Lernen](https://www.dl3hm.de/CW_Lernen.html) - good german article on learning CW
      * [A Visual Farnsworth CW Trainer](https://cwtrainer.loomcom.com/)
      * [W1AW Code Practice MP3 Files](http://www.arrl.org/code-practice-files)
      * [Learning CW Morse code by KN3B](http://kn3b.com/learning-cw-morse-code.html)

    * CW QSO Examples
      * [Making a CW QSO by K3WWP](http://www.naqcc.info/cw_qsos.html)
      * [CW QSO Formats; Ham Radio Morse Contact](https://www.electronics-notes.com/articles/ham_radio/morse_code/cw-qso-morse-contact.php)
      * [Basics of a CW QSO!](https://www.emdrc.com.au/basics-of-a-cw-qso/)

    * CW Keyer
      * [Open CW Keyer MK2](https://www.hamshop.cz/open-cw-keyer-c27/open-cw-keyer-i196/)
      * [NanoKeyer](https://nanokeyer.wordpress.com/get-one/)
      * [Funtronics K3NG Keyer](https://elekitsorparts.com/product/funtronics-k3ng-keyer-fk-10-99-winkey-emulation)
      * [K1EL Keyer](https://www.hamcrafters2.com)
      * [K3NG Keyer List](https://github.com/k3ng/k3ng_cw_keyer/wiki/180-Kits-and-Kitting)

  * APRS
    * [Baofeng UV5R TRRS Adapter](https://github.com/johnboiles/BaofengUV5R-TRRS)
    * [aprs.fi](https://aprs.fi) - APRS map
    * [APRS mit APRSDroid](https://www.instructables.com/id/APRS-and-the-UV-5R/)

  * DMR

    * DMR General
      * [BAOFENG RD-5R DMR HT & DMR basics](https://vk2ji.com/baofeng-rd-5r-dmr-ht/)
      * [RT3S: Handhabung des Codeplug im BM-Netz](http://www.mdtweb.de/index.php/projekte/nachrichtentechnik/betriebstechnik/handhabung-des-codeplug-im-bm-netz)
      * [Gute Einfuehrung in DMR](https://www.dk7lst.de/cms/?q=dmr)

    * DMR Repeater Lists
      * [spacesupport.de](http://www.spacesupport.de/repeater-liste.php)
      * [bm262.de/dl/](http://bm262.de/dl/)
      * [ham-digital.org](https://ham-digital.org/dmr-rptrreg.php#DEU)
      * [https://repeatermap.de/](https://repeatermap.de/)

    * Brandmeister
      * [Brandmeister Top Activity](https://app.brandmeisteractivity.live/)

  * Echolink
    * [UV-R5 + Rpi3 = Echolink Repeater](http://www.pakhams.com/index.php?option=com_content&view=article&id=178:pi3echolink&catid=45:misc&Itemid=157)
    * [Interfacing the UV5R with a Raspberry PI 3 Echolink-Svxlink](https://blog.bacarde.com/2017/05/07/interfacing-uv5r-raspberry-pi-3-echolink-svxlink/)
    * [LC-Link Echolink Interface](https://www.landolt.de/info/afuinfo/echolink.htm)

  * Packet Radio

    * [Soundmodem](http://uz7.ho.ua/packetradio.htm) - Windows application which replaces a modem/TNC
    * [direwolf](https://github.com/wb2osz/direwolf) - software "soundcard" AX.25 packet modem/TNC and APRS encoder/decoder
    * [FlexNet](http://www.afthd.tu-darmstadt.de/~flexnet/intro.html) - a modular AX.25 stack
    * [Paxon](http://www.paxon.de) - Packet Radio Terminal Program
    * [DireWolf Presentation](https://microhams.blob.core.windows.net/content/2018/03/MHDC2018-WB2OSZ.pdf)
    * [Packet Radio Slides](https://www.darc.de/fileadmin/filemounts/distrikte/c/ortsverbaende/15/Infos/VortragPacketRadioDG5MHF.pdf)
    * [Packet Radio Slides dk0mav](http://www.afug.uni-goettingen.de/~dk0mav/Packet-Radio%20Informationsmappe.pdf)
    * [Packetradio ohne Modem](http://db0fhn.efi.fh-nuernberg.de/~dl3rtl/html/soundmodem.html) - Soundmodem + FlexNet + Paxon
    * [V4Chat](https://elektronikbasteln.pl7.de/v4-chat-chatten-auf-kurzwelle-fuer-funkamateure.html) - Chatten über Kurzwelle
    * [10m Digipeater DF0MOT](http://www.trg-radio.de/index.php/df0mot-10m)

  * SSTV
    * [The SSTV Handbook](http://sstv-handbook.com/) - Everything you ever want to know about SSTV in one PDF

  * Hamshack Hotline

    * [Hamshack Hotline](https://hamshackhotline.com/)
    * [Presentation on HH](www.w7aia.org/meetings_files/docs/2019-03-01_ham_shack_hotline_AA6RV.pdf) - some very informative slides

  * HAMNET

    * [Packet Radio über HAMNET](https://hamnet.funkzentrum.de/wie-kann-ich-teilnehmen/packet-radio-uebers-hamnet.html)
    * [Dienste im HAMNET](https://hamnet.funkzentrum.de/user-service-netz.html)
    * [DB0STB-2](https://hamnetdb.net/index.cgi?q=db0stb-2)
    * [Ubiquiti Litebeam 5AC Gen2 Anleitung](https://dl.ubnt.com/qsg/LBE-5AC-Gen2/LBE-5AC-Gen2_DE.html)
    * [Hamnet Präsentation](https://mum.mikrotik.com/presentations/DE16/presentation_3539_1464940888.pdf)
    * [Hamnet Workshop Dormagen](https://www.afu.rwth-aachen.de/images/vortraege/Hamnet_Workshop_Dormagen.pdf)
    * [Einführung in Hamnet](https://www.darc.de/fileadmin/filemounts/distrikte/p/ortsverbaende/18/Hamnet/Einfuehrung_in_HAMNET_2016-02-05_e.pdf)

### Tech

  * DIY
    * [PL-Stecker an Koax-Kabel löten](https://dh7lm.wordpress.com/2014/10/05/pl-stecker-an-koax-kabel-loten-so-funktionierts/)
    * [Carbon Arrow Yagi Antenna](https://tysonpower.de/blog/carbon-arrow-yagi-antenna)
    * [Homebrew Programming Cable for Retevis RT95](http://iz3zvo.altervista.org/build-program-cable-anytone-at-5888uv-intek-hr-2040/)

  * Electronics
    * [Elektronik Kompendium](https://www.elektronik-kompendium.de/)
    * [Burkhard Kainka](http://www.b-kainka.de/)
    * [Wumpus Welt der Radios](http://www.welt-der-alten-radios.de/detektor-bauprojekte--80.html)

  * RFI
    * [Sounds of RFI](http://www.arrl.org/sounds-of-rfi) - Sound samples of different RFI sources

### Communities
  * [The ON4KST amateur radio chat](http://www.on4kst.org/chat/start.php)
  * [/r/amateurradio](https://www.reddit.com/r/amateurradio/)

### Ham Weather / Propagation
  * [AirScout - Software for Aircraft Scatter Prediction](http://www.airscout.eu/index.html)
  * [William Hepburn's Worldwide Tropospheric Ducting Forecast](http://www.dxinfocentre.com/tropo_eur.html)
  * [VHF Propagation Map](http://aprs.mennolink.org/)

### DXCluster
  * [DXHeat](https://dxheat.com/dxc/) - Modern, responsive DXCluster web application
  * [dx-cluster.de](http://dx-cluster.de/index.php)
  * [DXHeat](https://dxheat.com/dxc/) - very nice web bases DX Cluster client 

### VHF/UHF
  * [Die modernen Werzeuge des UKW Amateurs](http://funkperlen.blogspot.com/2018/01/die-modernen-wekzeuge-des-ukw-amateurs.html)
  * [Beacons](http://dk8jg.de/Baken%202m%2070cm%2023cm%20in%20DL%202013.pdf)

### ADIF Analysis/Mapping
  * [Adventure Radio Log Analyzer](http://analyzer.adventureradio.de/)

### Know-how
  * [Funken via analoge Funk-Relais](https://hb9zz.ethz.ch/en/relaisfunk)
  * [DC4KU - Werner Schnorrenberg](http://dc4ku.darc.de/) - huge collection of information

### Transceivers

  * Xiegu G90
    * [Latest G90 firmwares](https://www.sinotel.co.uk/index.php?main_page=page&id=24)
    * [G90 user group on groups.io](https://groups.io/g/XieguG90)

### Tutorials

  * [UV-5R Cheat Sheet](https://w7apk.com/baofeng)

### Exam Preparation
  * [HamRadioTrainer](http://hamradiotrainer.de/) - Die intelligente Lernsoftware für die Amateurfunkprüfung (Windows/Wine)
  * [afup.a36.de](https://www.afup.a36.de/) - Prüfungstraining für das Amateurfunkzeugnis (Web based)
  * [DARC Online Lehrgang](https://www.darc.de/der-club/referate/ajw/darc-online-lehrgang/)
  * [Lichtblicke, Kruecken](https://www.dl9hcg.a36.de/) - PDF Slides, Zu jeder Frage des Prüfungs­kataloges wird der komplette Lösungsweg auf einer ganzen Bildschirmseite angezeigt.
  * [Lizenzkochbuch](http://www.qslonline.de/hk/eigen/lizenzkochbuch.htm) - printed book, 15€
  * [Fragenkatalog der BNetzA](https://www.bundesnetzagentur.de/cln_1432/DE/Sachgebiete/Telekommunikation/Unternehmen_Institutionen/Frequenzen/Funkzeugnisse/Amateurfunk/amateurfunk-node.html)
  * [Class E and A license preparation](http://ham-radio-apps.com/amateurfunk-lizenz/) - iOS Apps
  * [Bueffeln.net](https://www.bueffeln.net/Pruefung/Amateurfunk) - Web based + App, 20€
  * [Rufzeichenliste der BNetzA](https://www.bundesnetzagentur.de/SharedDocs/Downloads/DE/Sachgebiete/Telekommunikation/Unternehmen_Institutionen/Frequenzen/Amateurfunk/Rufzeichenliste/Rufzeichenliste_AFU.pdf?__blob=publicationFile)
  * [Rufzeichensuche der BNetzA](https://ans.bundesnetzagentur.de/Amateurfunk/Rufzeichen.aspx)
  * [Prüfungstermine](https://www.bundesnetzagentur.de/SharedDocs/Downloads/DE/Sachgebiete/Telekommunikation/Unternehmen_Institutionen/Frequenzen/Amateurfunk/Pr%C3%BCfungstermine/Termine_Afu_Pruefungen.pdf?__blob=publicationFile)

