---
title: "Shortened 30m Dipole"
date: 2020-02-02T15:00:00+02:00
type: post
tags:
 - Ham Radio
 - Antenna
url: /30m-dipole/
---

# Why and what

This aricle describes the construction of a 9,50 m long dipole for the 30 m band (10.1 MHz to 10.15 MHz). It was designed to be mounted ca. 6m above ground inside an attic. The calculations were performed by OE1MEW with the help of [this antenna calculator](http://66pacific.com). To reduce the length of the ~15 m long dipole, a coil will be integrated into each side of the dipole.

The following diagram shows the dipole in theory:

![image](/img/30m_dipole_schematics.jpg)

# Bill of materials

 * 1 feed point connector with PL socket or a 1:1 balun
 * 2 isolators
 * 2x 1 m antenna wire
 * 2x ca. 4 m antenna wire
 * 2 short pieces of 16 mm installation tubes
 * several meters of 1.5 mm2 copper wire (e.g. out of NYM-J 3 x 1,5 cable)

# Construction

## Coils

Drill a hole into the 16 mm installation tube and stick a few centimeters of the 1.5 mm2 wire through it. Afterwards tightly wind the wire around it 37 times. After the 37th turn, drill a hole closely to the wire into the tube and stick the wire through it. It now should look like this:

![image](/img/30m_dipole_coil.jpg)

Repeat this step to build a second coil.

## Assembly

Connect 1 m antenna wire to each side of the feed point connector (or the 1:1 balun). Now solder the ends of the antenna wires to one side of each coil. Use shrink tubing to make it water resistant. Solder the 4 m pieces of antenna wire to the other side of the coils. Both ends should then be terminated with isolatiors. A good start for tuning is a wire length of about 3,60 m between coil and isolator. Wrap around the remaining 40 cm for the tuning procedure.

The result should look like this:

![image](/img/30m_dipole.jpg)

# Result

The antenna ended up being 9,30 m long (including feed point, excluding isolators). The following photos show how nicely this antenna can be tuned:

![image](/img/30m_dipole_nanovna.jpg)
