---
title: "Building an AllStarLink Node"
type: post
author: micha
date: 2022-01-20T20:00:00+02:00
tags:
 - Ham Radio
 - electronics
url: /allstarlink-node-build/
---

In this post I will briefly describe my build of an AllStarLink node. For this, I used the following parts:

 * Baofeng 888s
 * CM108 USB soundcard
 * Raspberry Pi 4 + case
 * two buck converters, configured 5V and 3,7V output voltage
 * metal enclosure
 * power poles + mounting plates
 * ethernet jack
 * [Waveshare LCD1602 RGB Module](https://www.waveshare.com/wiki/LCD1602_RGB_Module)

I will not go into great detail here since all modifications are described in other places. Please consult the following links:

 * [Idiot's guide to building an Allstar Node on YouTube](https://www.youtube.com/watch?v=7L5FZrcyw7M&list=PLePPJqvMoBbbmeAebTykCfmeaaRuqK5DG)
 * https://allstarsetup.com/how-to-modify-a-cm108-for-allstar/
 * https://allstarsetup.com/modify-the-baofeng-888s-for-allstar/

The beginning:

![image](/img/asl_start.jpg)

Please ignore the two audio transformers. I planned to install them but went with a transformerless build in the end.

Here is the modified sound fob as described in the above link:

![image](/img/asl_fob.jpg)

A first test with the RPi and the buck converters built in:

![image](/img/asl_power.jpg)

Detailed view of the back plate (antenna connector was still missing at this point in time):

![image](/img/asl_back_1.jpg)

![image](/img/asl_back_2.jpg)

The finished build:

![image](/img/asl_open.jpg)

![image](/img/asl_front.jpg)


