---
title: "Building the Hardrock-50"
type: post
author: micha
date: 2021-08-07T22:00:00+02:00
tags:
 - Ham Radio
 - Hardware
url: /building-the-hardrock50/
---

The [Hardrock-50](https://www.hobbypcb.com/index.php/products/hf-radio/hardrock-50-hf-power-amp) is a very nice 50W short wave amplifier that comes as a kit. The package includes everything needed for building the amp. There were some optional modules available (QSK Mezzanine add-on board and an automatic ATU) which I decided not to order since I am very happy with my [ATU-100](/atu-100/). The Hardrock-50 includes an interface to some rigs including my FT-817 which allows automatic band selection. For this purpose, an additional but easily buildable Sub-D to Mini DIN cable is needed. Shipping of the kit to DL was fast but quite expensive.

The kit includes the enclosure, 3 PCBs, all necessary hardware, cables etc. A manual is not included but can be found on [here](https://sites.google.com/site/hardrock50beta/hardrock-50-builders-information-site/hardrock-50-builders-portals/sn1400-and-up-builders-portal). The manual is the most detailed guide i've ever seen for a kit. 

![hr50-1.jpg](/img/hr50-1.jpg)

All SMD parts are already pre-soldered so the parts list is quite managable. The first steps consist of assembling the front and back panels. The front panel assembly is quite tricky but no problem if you follow the manual step by step.

The next steps are winding the toroids / transformers and then populating the main PCB.

![hr50-1b.jpg](/img/hr50-1b.jpg)

Only then I realized that the main PCB will be mounted upside down on the top of the enclosure - which is the heat sink. The MOSFETs are placed on the PCBs bottom side together with a temperature sensor and are therefore mechanically/thermally connected with the heat sink part of the enclosure.

![hr50-2.jpg](/img/hr50-2.jpg)

![hr50-3.jpg](/img/hr50-3.jpg)

![hr50-4.jpg](/img/hr50-4.jpg)

After the PCB has been mounted on the heat sink, the remaining tasks of the assembly is some internal wiring:

![hr50-5.jpg](/img/hr50-5.jpg)

The last step is the pretty simple alignment procedure where the DC bias is adjusted. No special tools are needed, just a basic digital multimeter:

![hr50-6.jpg](/img/hr50-6.jpg)

Here's a picture of the completed build:

![hr50-7.jpg](/img/hr50-7.jpg)


I can highly recommend this kit for anyone who has some basic soldering skills and needs a small but solid HF amplifier.
