---
title: "Xiegu G90 Mods"
type: post
author: micha
date: 2020-01-17T15:00:00+02:00
tags:
 - Ham Radio
 - Hardware
 - Xiegu
 - Mods
 - 3D Printing
url: /g90-mods/
---

# Mods

The following is a compilation of some recommended mods for the Xiegu G90. None of these mods are my idea, I learned about them from the Xiegu G90 group.io group (see below).

## Power Cable

The original power cable is too thin and should be replaced with silicone 14AWG cables plus some ferrite beads. Don't forget to integrate a 5Ah fuse into the cable. 

Mine looks like this now:

![image](/img/g90_power_cable.jpg)

## Microphone Mod

When using the original G90 microphone, your voice might be too bassy. To solve this problem, open the mic and replace the cpacitor C15 with a 10 nanofarad SMD capacitor and C14 with 2,2 nanofarad (both size 0603). [source](https://xiegug90.groups.io/g/main/profile/@YO2AA)

The following image shows both capacitors (taken from https://xiegug90.groups.io/g/main/message/1219):

![image](/img/g90_mic_mod.jpg)

## Ferrite Beads

In order to prevent radio-frequency interference, all cables should be fitted with ferrite beads:

  * Microphone cable
  * Power cord
  * CAT cable
  * Head unit connection cable

## VFO Knob

Not essential but nice: A larger VFO knob. I bought a black aluminium potentiometer knob for 6mm axis with a size of 32x13mm.

The G90 with a larger VFO knob:

![image](/img/g90_vfo_knob.jpg)

## Head Unit Stand

I like [this 3D printable design over at thingiverse.com](https://www.thingiverse.com/thing:3741359) for placing the head unit on the table in an ergonomic way.

# Useful other Information

  * Very active and helpful community: [XieguG90](https://xiegug90.groups.io/g/main)
  * [G90 Update Instructions](https://xiegug90.groups.io/g/main/files/G90%20Firmware%20Update%20Instructions/G90%20Firmware%20Update%20Instructions.pdf)
  * [CI-V Reference](https://xiegug90.groups.io/g/main/files/G90%20CI-V%20REFERENCE.pdf)
  * [Cheat Sheet](https://xiegug90.groups.io/g/main/files/XIEGU%20G90%20CHEAT%20SHEET%20v1.73%2012-15-2019.pdf)
  * [ini file for OnmiRig](https://xiegug90.groups.io/g/main/files/XieguG90.ini)
