---
title: "Review of the PAC-12 Portable Antenna System"
type: post
author: micha
date: 2023-01-01T08:00:00+02:00
url: /review-pac-12-antenna/
tags:
 - Ham Radio
 - antenna
 - review
 - 3D Printing
---

Since my old and proven antenna is only resonant on 20m and I did not like the fact that the mast does not fit into any backpack, I decided to give the PAC-12 antenna system a go. I've ordered the following from Aliexpress:

 * [5,6m long stainless steel whip](https://www.aliexpress.com/item/1005004662439855.html)
 * earth spike with feed point (part of the set linked above)
 * [radials](https://www.aliexpress.com/item/1005004552316570.html)
 * [coil for 40m band](https://www.aliexpress.com/item/1005004758022020.html)

All in all the antenna system cost me ~100 EUR.

The antenna together with the X5105 for scale:

![image](/img/pac12-1.jpg)

The coil for 40m:

![image](/img/pac12-2.jpg)

This is how the antenna looks when deployed:

![image](/img/pac12-3.jpg)

![image](/img/pac12-4.jpg)

## Protective Cover

The earth spike is very pointed and might damage the backpack or other carried items. I've designed a 3D printable protective cover for it that also includes a winder for the radials. You can download it at [Thingiverse](https://www.thingiverse.com/thing:5736912) or [from my web server](/PAC12_protection_cover.stl).

![image](/img/pac12-5.jpg)

![image](/img/pac12-6.jpg)

## Real World Test

A first test of the antenna during my POTA activation of DA-0221 gave me very nice results (Xiegu X5105 + MX-P50M, 40m/20m/17m/15m):
 
![image](/img/pac12-7.jpg)

## Verdict

I like it a lot! Which is convincing to me:

 * fits into a backpack or can be held via MOLLE system
 * no supports like a bench, table or tree needed. The antenna supports itself
 * no coil needed for a quarterwave vertical for 20m or higher
 * no complicated tuning via adjustable coil necessary. The antenna is simply pushed in or out.

The whip seems quite solid but it can be damaged easily when improperly handled. This is why I've ordered a spare whip - just in case.

Finally a picture with the antenna attached to the backpack using the MOLLE system:

![image](/img/pac12-8.jpg)
